import {
  request
} from "../utils/request";

module.exports = {
  // 获取消息页面状态
  getAuthorityMsg: data => request('/v3/message', 'get', data),
  // 获取消息通知列表 
  getMessageList: (data, method = 'get') => request('/message', method, data),
  // 获取消息记录
  getMessageRecord: data => request('/v3/messageRecord', 'get', data),
  // 获取点赞列表
  getBeLikeList: data => request('/v3/message/likeInfo', 'get', data),
  // 获取最新评论列表
  getNewComment: data => request('/v3/message/postsInfo', 'get', data),
  // 消息置顶
  msgTopping: data => request('/v3/messageRecord/top', 'post', data),
  // 获取消息详情
  getMsgDet: data => request('/v3/messageRecord/single', 'get', data),
  // 获取最新消息详情（聊天界面轮询
  getNewMsgDet: data => request('/v3/messageRecord/newMessage', 'get', data),
  // 发送消息
  sendMsg: data => request('/v3/messageRecord', 'post', data),
}